package com.izouma.dingdong.repo;

import com.izouma.dingdong.domain.backstage.Tag;
import com.izouma.dingdong.repo.backstage.TagRepo;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

@RunWith(SpringRunner.class)
@SpringBootTest
public class TagRepoTest {

    @Autowired
    private TagRepo tagRepo;

    @Test
    public void testSave() {
        tagRepo.save(Tag.builder()
                .id(3L)
                .name("新商家")
                .enabled(true)
                .build());
    }
}
